CERN Accelerating science

You are here

dyld: Library not loaded: /usr/local/opt/gsl/lib/libgsl.23.dylib

8 posts / 0 new
Last post
dyld: Library not loaded: /usr/local/opt/gsl/lib/libgsl.23.dylib

Hi All,

I tried to install molflow on a mac (Mojave 10.14.6) following these instructions. After successfully insalling all the packages, including gsl, when I try to execute molflow I get the following error:

dyld: Library not loaded: /usr/local/opt/gsl/lib/libgsl.23.dylib

I tried with both molflow 2.7.8 and 2.7.0 and I get the same error. I also checked that indeed there is no gsl folder in /usr/local/opt/ but only the following libraries related to gsl:

libgsl.25.dylib               

libgsl.a                             

libgsl.dylib

libgslcblas.0.dylib

libgslcblas.a

libgslcblas.dylib

 

Is molflow is looking for the wrong gsl dylib version (25 instead of 23?) and also in the wrong place? Please let me know if anybody has an idea on how to proceed. Thanks for your help.

 

 

 

We released the latest Molflow (2.7.9) to fix this. Does it work for you?

 

[copying accidentally deleted comment]

Hi Marton,

Thanks for your reply. With the 2.7.9 version I got the following error:

 

 

p.p1 {margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000}
span.s1 {font-variant-ligatures: no-common-ligatures}

 

 

dyld: Symbol not found: __ZTINSt3__14__fs10filesystem16filesystem_errorE

  Referenced from: /Users/****/molflow_mac_2.7.9/./molflow (which was built
for Mac OS X 10.15)

  Expected in: /usr/lib/libc++.1.dylib

 

It seems to me that the problem might be that I still have OS 10.14 Mojave.
I will upgrade to Catalina 10.15 and hopefully it will work. However if you
know a way to make it work on 10.14 Mojave, please let me know.

On MacOS 10.15, I could get Molflow 2.7.8 working the following way:

cd /usr/local/opt/gsl/lib/ (to switch to the dir where libgsl.23.dylib is missing)

ln -s libgsl.25.dylib libgsl.23.dylib (it creates a symlink redirecting libgsl.23.dylib to the newer version)

Then I could launch Molflow 2.7.8

In your case there seems to be an extra step (you say that there is no /usr/local/opt/gsl/lib/ folder), you could try brew reinstall gsl --verbose to see where it installs the libraries.

Meanwhile we are working to compile a backward compatible version (the "which was built for 10.15") is our fault

Thanks for the tip, Marton! I created a link like you suggested and I can start molflow now.

Dear Guido,

If you're still using Molflow, we've published 2.7.10 today, which hopefully runs out of the box on older MacOS builds as well.

Have a nice end of year, Marton

All,

I can't install the 2.7.10 in Mojave... I see a very same question with the library

dyld: Library not loaded: /usr/local/opt/libpng/lib/libpng16.16.dylib

Any specific suggestion how to solve this one?

 

Hello Marcelo,

I've checked and libpng 1.6.37 is the latest version, and I have the dylib file on my computer:

Screen Shot 2020-01-29 at 8.15.28 PM.png

(It was installed by HomeBrew)

Could you try the following, from a Terminal window:

- Check if libpng is installed? (brew install libpng)

- Update libpng (and everything else) to the latest version (brew update then brew upgrade)

If still not working, please report here with your installed libpng version (brew info libpng) and your MacOS version. Then we'll try to help!

Theme by Danetsoft and Danang Probo Sayekti inspired by Maksimer